# lundump.c File Reference

`#include <string.h>`
`#include "lua.h"`
`#include "ldebug.h"`
`#include "ldo.h"`
`#include "lfunc.h"`
`#include "lmem.h"`
`#include "lobject.h"`
`#include "lstring.h"`
`#include "lundump.h"`
`#include "lzio.h"`

## Classes
struct | LoadState
## Defines
#define | lundump_c
#define | LUA_CORE
#define | IF(c, s) if (c) error(S,s)
#define | LoadMem(S, b, n, size) LoadBlock(S,b,(n)*(size))
#define | LoadByte(S) (lu_byte)LoadChar(S)
#define | LoadVar(S, x) LoadMem(S,&x,1,sizeof(x))
#define | LoadVector(S, b, n, size) LoadMem(S,b,n,size)
## Functions
static void | error (LoadState *S, const char *why)
static void | LoadBlock (LoadState *S, void *b, size_t size)
static int | LoadChar (LoadState *S)
static int | LoadInt (LoadState *S)
static lua_Number | LoadNumber (LoadState *S)
static TString * | LoadString (LoadState *S)
static void | LoadCode (LoadState *S, Proto *f)
static Proto * | LoadFunction (LoadState *S, TString *p)
static void | LoadConstants (LoadState *S, Proto *f)
static void | LoadDebug (LoadState *S, Proto *f)
static void | LoadHeader (LoadState *S)
Proto * | luaU_undump (lua_State *L, ZIO *Z, Mbuffer *buff, const char *name)
void | luaU_header (char *h)

## Define Documentation

#define IF | ( | c,
|  | s |  | ) | if (c) error(S,s)

#define LoadByte | ( | S |  | ) | (lu_byte)LoadChar(S)

#define LoadMem | ( | S,
|  | b,
|  | n,
|  | size |  | ) | LoadBlock(S,b,(n)*(size))

#define LoadVar | ( | S,
|  | x |  | ) | LoadMem(S,&x,1,sizeof(x))

#define LoadVector | ( | S,
|  | b,
|  | n,
|  | size |  | ) | LoadMem(S,b,n,size)

#define LUA_CORE

#define lundump_c

## Function Documentation

static void error | ( | LoadState * | S,
|  | const char * | why |
| ) |  |  | `[static]`

static void LoadBlock | ( | LoadState * | S,
|  | void * | b,
|  | size_t | size |
| ) |  |  | `[static]`

static int LoadChar | ( | LoadState * | S | ) | `[static]`

static void LoadCode | ( | LoadState * | S,
|  | Proto * | f |
| ) |  |  | `[static]`

static void LoadConstants | ( | LoadState * | S,
|  | Proto * | f |
| ) |  |  | `[static]`

static void LoadDebug | ( | LoadState * | S,
|  | Proto * | f |
| ) |  |  | `[static]`

static Proto * LoadFunction | ( | LoadState * | S,
|  | TString * | p |
| ) |  |  | `[static]`

static void LoadHeader | ( | LoadState * | S | ) | `[static]`

static int LoadInt | ( | LoadState * | S | ) | `[static]`

static lua_Number LoadNumber | ( | LoadState * | S | ) | `[static]`

static TString* LoadString | ( | LoadState * | S | ) | `[static]`

void luaU_header | ( | char * | h | ) |

Proto* luaU_undump | ( | lua_State * | L,
|  | ZIO * | Z,
|  | Mbuffer * | buff,
|  | const char * | name |
| ) |  |  |